/*
 * stubs for security system calls that are not available on a
 * non-ES system
 */

#ifndef __priv_h
#define __priv_h

#include "oampkg.h"

#include        <sys/privilege.h>

int lvldom(const level_t *a, const level_t *b);
int lvlfile(const char *a, int n, level_t *b);
int lvlproc(int a,  level_t *b);
int lvlin(const char *a, level_t *n);
int lvlout(const level_t *a, char *b, int c, int d);
int lvlvalid(const level_t *a);
int secsys(int a, char *b);
int	filepriv(const char *a, int b, priv_t *c, int d);
int	mldmode(int a);

#endif
