#ident	"@(#)ckquit.c	15.1"

#include <stdio.h>
#include <string.h>
#include <unistd.h>

int check_quit(char *);

extern int ckquit;

/*
 * check_quit(char *input)
 *
 *	Check the given input for a match for locale specific "quit"
 *	string or a match of the first character of the string, if and
 *	only if the input string has one character.
 *
 * RETURN VALUE:
 *	A value of 0 is returned for a match, or 1 otherwise.
 *
 * SIDE EFFECTS:
 *	None.
 */
int
check_quit(char *input)
{
	register char *qstr;

	if (ckquit == 0) {
		return 1;
	}
	qstr = gettxt("uxadm:84", "quit");
	if ((input[0] == qstr[0] && input[1] == '\0') ||
	    (strcmp(input, qstr) == 0)) {
		return(0);
	}
	return 1;
}
