/*		copyright	"%c%" 	*/

/*LINTLIBRARY*/
#ident	"@(#)puthelp.c	15.1"
#ident  "$Header: $"

#include <stdio.h>
#include <string.h>
#include <unistd.h>

extern int	ckwidth;
extern int	ckindent;
extern int	puttext();
extern void	*calloc(),
		free();

void
puthelp(fp, defmesg, help)
FILE *fp;
char *defmesg, *help;
{
	char	*tmp;
	int	n;

	tmp = NULL;
	if(help == NULL) {
		/* use default message since no help was provided */
		help = defmesg ? defmesg :
			gettxt("uxadm:85", "No help available.");
	} else if(defmesg != NULL) {
		n = strlen(help);
		if(help[0] == '~') {
			/* prepend default message */
			tmp = calloc(n+strlen(defmesg)+1, sizeof(char));
			(void) strcpy(tmp, defmesg);
			(void) strcat(tmp, "\n");
			(void) strcat(tmp, ++help);
			help = tmp;
		} else if(n && (help[n-1] == '~')) {
			/* append default message */
			tmp = calloc(n+strlen(defmesg), sizeof(char));
			(void) strcpy(tmp, help);
			tmp[n-1] = '\0';
			(void) strcat(tmp, "\n");
			(void) strcat(tmp, defmesg);
			help = tmp;
		}
	}
	(void) puttext(fp, help, ckindent, ckwidth);
	(void) fputc('\n', fp);
	if(tmp)
		free(tmp);
}
