/*LINTLIBRARY*/
#ident	"@(#)echo.c	15.1"
#ident  "$Header: $"
#include <stdio.h>
#include <varargs.h>

extern	int	nointeract;
int	quietmode;
char *getmsg();

/*VARARGS*/
void
echo(va_alist)
va_dcl
{
	va_list ap;
	char	*fmt;
	char	*quiet;

	va_start(ap);
	fmt = va_arg(ap, char *);
	va_end(ap);
		

	/*
	 * If quietmode or nointeract is set
	 * do not produce any output.
	 */
	if(quietmode || nointeract)
		return;
	fmt = getmsg(fmt);		/* get message from message catalog */
	(void) vfprintf(stderr, fmt, ap);
	(void) putc('\n', stderr);
}

/*VARARGS*/
void
ECHO(va_alist)
va_dcl
{
	va_list ap;
	char	*fmt;
	char	*quiet;

	va_start(ap);
	fmt = va_arg(ap, char *);
	va_end(ap);
		

	/*
	 * If quietmode or nointeract is set
	 * do not produce any output.
	 */
	if(quietmode || nointeract)
		return;
	(void) vfprintf(stderr, fmt, ap);
	(void) putc('\n', stderr);
}
