/*		copyright	"%c%" 	*/

/*LINTLIBRARY*/
#ident	"@(#)setlist.c	15.1"
#ident  "$Header: setlist.c 1.2 91/06/27 $"

#include <stdio.h>
#include <string.h>

extern int	errno;
extern void	*calloc(), 
		*realloc();
extern void	progerr(),
		quit();

#define MALSIZ	64
#define ERR_MEMORY	"uxpkgtools:6:memory allocation failure, errno=%d"

int
setlist(plist, value)
char ***plist;
char *value;
{
	char	**list;
	char	*pt;
	int	n;

	if ((list = (char **)calloc(MALSIZ, sizeof(char *))) == NULL) {
		progerr(ERR_MEMORY, errno);
		quit(99);
	}

	n = 0;
	pt = strtok(value, " \t\n");
	while (pt) {
		list[n++] = pt;
		if ((n % MALSIZ) == 0) {
			list = (char **)realloc((void *)list, 
				(n + MALSIZ) * sizeof(char *));
			if (list == NULL) {
				progerr(ERR_MEMORY, errno);
				quit(99);
			}
		}
		pt = strtok(NULL, " \t\n");
	}
	list[n] = NULL;
	*plist = list;
	return(n);
}
