/*		copyright	"%c%" 	*/


/*LINTLIBRARY*/
#ident	"@(#)isdir.c	15.1"
#ident "$Header: $"

#include "oampkg.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <limits.h>

extern int	sprintf();

isdir(path)
char *path;
{
	struct stat statbuf;

	if (path != NULL)
		if(!stat(path, &statbuf) && ((statbuf.st_mode & S_IFMT) == S_IFDIR))
			return(0);
	return(1);
}

ispipe(path)
char *path;
{
	struct stat statbuf;

	if (path != NULL)
		if(!stat(path, &statbuf) && ((statbuf.st_mode & S_IFMT) == S_IFIFO))
			return(0);
	return(1);
}

isfile(dir, file)
char *dir;
char *file;
{
	struct stat statbuf;
	char	path[PATH_MAX];

	if(dir != NULL) {
		if (file != NULL)
			(void) sprintf(path, "%s/%s", dir,file);
		else
			(void) sprintf(path, "%s", dir);
		file = path;
	}

	if ( file != NULL )
		if(!stat(file, &statbuf) && (statbuf.st_mode & S_IFREG))
			return(0);
	return(1);
}
