#include <mnttab.h>
#include "oampkg.h"

/* This implementation is enough for pkg* utilities. */
int
getmntent ( FILE *fp, struct uwmnttab *mp )
{
  static struct mnttab ent;
  memset( &ent, 0, sizeof( ent ) );

  if ( fread( &ent, 1, sizeof( ent ), fp ) != sizeof(ent) )
    return -1;

  mp->mnt_special = ent.mt_dev;
  mp->mnt_mountp = ent.mt_filsys;

  return 0;
}
