#ifndef __sys_keyctl_h
#define __sys_keyctl_h


/* 
 * Definition of current actions supported by the keyctl() system call
 */
#define K_VALIDATE      0x00060000

#define TYPELEN 15
#define SNLEN   10
#define STRLEN  16
#define SKLEN   8

struct k_skey {
        uchar_t sernum[STRLEN]; /* serial number */
        uchar_t serkey[STRLEN]; /* serial key */
};

typedef struct k_skey k_skey_t;

int keyctl ( int cmd, void * arg, int nskeys );


#endif
