/*		copyright	"%c%" 	*/

/*LINTLIBRARY*/
#ident	"@(#)finalck.c	15.1"
#ident  "$Header: finalck.c 1.2 91/06/27 $"

#include "oampkg.h"
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <sys/types.h>
#include <pkgstrct.h>

extern int	warnflag;
extern char	errbuf[];

extern void	logerr();
extern int	averify(),
		cverify();

int
finalck(ept, attrchg, contchg)
struct cfent *ept;
int	attrchg, contchg;
{
	int	errflg;
	int	n;

	errflg = 0;
	if(attrchg || contchg) {
		/* verify change, or fix if possible */
		if(n = averify(1, &ept->ftype, ept->path, &ept->ainfo, 0)) {
			logerr("uxpkgtools:59:ERROR:attribute verification of <%s> failed",
				ept->path);
			logerr(errbuf);
			errflg++;
			warnflag++;
			if(n == VE_EXIST)
				return(1); /* no need to check contents */
		}
	}
	if(contchg && strchr("fev", ept->ftype)) {
		/* verify change was executed properly */
		if((contchg < 0) || (ept->ftype == 'e')) {
			ept->cinfo.modtime = BADCONT;
			ept->cinfo.size = BADCONT;
			ept->cinfo.cksum = BADCONT;
		}
		if(cverify(1, &ept->ftype, ept->path, &ept->cinfo)) {
			logerr("uxpkgtools:60:ERROR:content verification of <%s> failed",
				ept->path);
			logerr(errbuf);
			errflg++;
			warnflag++;
		}
	}
	return(errflg);
}
