/*		copyright	"%c%" 	*/

/*LINTLIBRARY*/
#ident	"@(#)qreason.c	15.1"
#ident  "$Header: qreason.c 1.2 91/06/27 $"

#include <pfmt.h>

char *
qreason(retcode)
{
	char	*status;

	switch(retcode) {
	  case  0:
	  case 10:
	  case 20:
		status = gettxt("uxpkgtools:114", "was successful");
		break;

	  case  1:
	  case 11:
	  case 21:
		status = gettxt("uxpkgtools:115", "failed");
		break;

	  case  2:
	  case 12:
	  case 22:
		status = gettxt("uxpkgtools:116", "partially failed");
		break;

	  case  3:
	  case 13:
	  case 23:
		status = gettxt("uxpkgtools:117", "was terminated due to user request");
		break;

	  case  4:
	  case 14:
	  case 24:
		status = gettxt("uxpkgtools:118", "was suspended (administration)");
		break;

	  case  5:
	  case 15:
	  case 25:
		status = gettxt("uxpkgtools:119", "was suspended (interaction required)");
		break;

	  case 99:
		status = gettxt("uxpkgtools:120", "failed (internal error)");
		break;

	  default:
		status = gettxt("uxpkgtools:121", "failed with an unrecognized error code.");
		break;
	}

	return(status);
}

