/*		copyright	"%c%" 	*/

/*LINTLIBRARY*/
#ident	"@(#)srcpath.c	15.1"
#ident  "$Header: srcpath.c 1.2 91/06/27 $"

#include "oampkg.h"
#include <limits.h>
#include <string.h>

extern int	sprintf();

char *
srcpath(d, p, part, nparts)
char	*d, *p;
int	part, nparts;
{
	static char tmppath[PATH_MAX];
	char	*copy;

	copy = tmppath;
	if(d) {
		(void) strcpy(copy, d);
		copy += strlen(copy);
	} else
		copy[0] = '\0';

	if(nparts > 1) {
		(void) sprintf(copy,
			((p[0] == '/') ? "/root.%d%s" : "/reloc.%d/%s"), 
			part, p);
	} else {
		(void) sprintf(copy, 
			((p[0] == '/') ? "/root%s" : "/reloc/%s"), p);
	}
	return(tmppath);
}
