/*		copyright	"%c%"	*/

#ident	"@(#)stubs.c	15.1"

#include <errno.h>
#include "oampkg.h"

#ifndef NULL
#define NULL 0
#endif

/*
 * stubs for security system calls that are not available on a
 * non-ES system
 */

int lvldom(const level_t *a, const level_t *b) {
	return(0);
}
int lvlfile(const char *a, int n, level_t *b){
	return(0);
}
int lvlproc(int a,  level_t *b){
	return(0);
}
int lvlin(const char *a, level_t *n){
	errno=EACCES;  /* this and -1 ret indicates ES/MAC not installed */
	return (-1);
}
int lvlout(const level_t *a, char *b, int c, int d){
	return(0);
}
int lvlvalid(const level_t *a){
	return(0);
}
int secsys(int a, char *b){
	return(0);
}
int	filepriv(const char *a, int b, priv_t *c, int d){
	return(0);
}
int	mldmode(int a){
	return(-1);  /* This function must always fail on SVR4.0 */
}
char	*privname(char *a, int b){
	*a = 0;
	return(0);
}
