/*		copyright	"%c%" 	*/

#ident	"@(#)backup.c	15.1"
#ident  "$Header: backup.c 1.2 91/06/27 $"
#include "oampkg.h"
#include <stdio.h>

#include <pfmt.h>

extern char	savlog[];
extern int	warnflag;

extern void	logerr();

void
backup(path, mode)
char	*path;
int	mode;
{
	static int	count = 0;
	static FILE	*fp;

	/* mode probably used in the future */
	if(count++ == 0) {
		if((fp = fopen(savlog, "w")) == NULL) {
			logerr(":278:WARNING:unable to open logfile <%s>", savlog);
			warnflag++;
		}
	}

	if(fp == NULL)
		return;

	(void) fprintf(fp, "%s%s", path, mode ? "\n" : gettxt(":279", " <attributes only>\n"));
	/* we don't really back anything up; we just log the pathname */
}
