/*		copyright	"%c%" 	*/

#ident	"@(#)predepend.c	15.1"
#ident  "$Header: predepend.c 1.2 91/06/27 $"

#include "oampkg.h"
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>
#include <pkglocs.h>

extern int	warnflag;

extern int	unlink();
extern void	progerr();

#define ERR_UNLINK	":331:unable to unlink <%s>"

void
predepend(oldpkg)
char	*oldpkg;
{
	struct stat status;
	char	spath[PATH_MAX];

	oldpkg = strtok(oldpkg, " \t\n");
	if(oldpkg == NULL)
		return;

	do {
		(void) sprintf(spath, "%s/%s.name", PKGOLD, oldpkg);
		if(lstat(spath, &status) == 0) {
			if(status.st_mode & S_IFLNK) {
				if(unlink(spath)) {
					progerr(ERR_UNLINK, spath);
					warnflag++;
				}
				return;
			}
		}
	} while(oldpkg = strtok(NULL, " \t\n"));
}
